Subject: DISA_LO72 data (fwd)

From: Stephanie McLaughlin <[email-masked]>
Date: Tue, 27 Apr 2004 19:19:44 -0400 (EDT)

Hi Anne,

I fixed the problems you identified (Thanks to Puneet for revising the raw
data labels!).  I started with a copy of everything in your directory,
~raugh/reviews/comets2004/disa_lo72/.  You're welcome to copy my entire
directory /n/wirtanen2/users/stefmcl/disa_lo72/.  You'll get everything,
including the ~1900 FITS files.  Or, copy only the files I changed:

  - All labels in calib/

  - All labels in data/raw/, data/reduced/, and data/results/

  - catalog/catinfo.txt
    catalog/reference.cat
    catalog/target/calfieldtarg.cat
    catalog/target/darktarg.cat    
    catalog/target/skytarg.cat

  - index/imageidx.lbl
    index/imageidx.lbl
    index/index.lbl

I did not modify aareadme.txt or document/.

Whew,
stef

ps - See below.  For housekeeping purposes, I inserted an "x" in front of
the items that are fixed or resolved.

---------- Forwarded message ----------
Date: Tue, 27 Apr 2004 12:44:35 -0400 (EDT)
From: Anne Raugh <[email-masked]>
To: [email-masked], [email-masked], [email-masked],
     [email-masked]
Subject: DISA_LO72 data

Stef,

Attached are the notes on the Lowell data.  There are problems in the data 
labels that will require programming and potentially major work to figure 
out.  I'm assuming the photometric results are the more significant content,
but even still we need to think twice about taking these images to review in 
their current state.

-Anne.

DISA_LO72
=========

  x    Resolved or fixed
  +    Problem, but I fixed it
  -    Problem that should be fixed ASAP (before review)
  >    Internal problem that can wait until after review
  ?    Maybe a problem, but maybe I'm missing something
  !!!  Show stopper.  No review unless it's fixed.

aareadme.txt
  + NOTE ends in a period but is not a sentence.
  + The stuff about ISO formatting cannot possibly be true.  At the least,
    this would be on several CDs, and PDS does not accept the full level
    2 standard.  When this is written on a disk, it will likely be written
    to a DVD, which has a difference standard number.
  + This BETTER NOT conform to the data dictionary mentioned here.  It better
    conform with the latest release, whatever that is when we finally deliver
    this stuff.  Best not mentioned.
  + Since there is no other version  of the AAREADME.TXT file, and this is
    that version, the file description is desceptive.
  + The DOCUMENT/OBSLOGS cannot contain photocopies - photocopies are on 
    paper.

 x? Are these really "R" images (as opposed to "VR" or "IR")?

      x Basically, yes.  All photometry is "R".  Of the 439 comet images,
        3 are "V" and 5 were accidentally taken in "U".  Some standard
        stars were imaged in "V" but, again, most were imaged in "R".

calib/
------
*.lbl
 x- The UNIT must be specified for these images, or there must be a 
    DESCRIPTION which explains why a real-valued pixel does not have a
    unit.

      x I added UNIT.
    
  > The PRODUCT_NAME is long and deceptive.  The part that is likely to be
    displayed in a user interface implies this is a comet image.  The part
    that says it's not is last and cryptic.

biascorr.lbl
  + Everything that's in the NOTE field should be in a DESCRIPTION field,
    and probably under the TABLE object.
  + File paths in idnex files or data files should NEVER, EVER, EVER begin
    with a "/"!!!!
  + The first column says it is only a file name.  In fact, it is a file
    specification (i.e., it includes path information).  This must be 

 x- I think this product should have a CITATION_DESC of its own.  It
    looks like something that might be specifically cited out of context.
    explained.

      x - It is very unlikely the bias correction product would be cited.
          I did not modify the label.

calinfo.txt
  + Corrected typos

catalog/
--------
  + I moved the target catalog objects into a subdirectory to reduce
    congestion.

 x- There are no catalog files supplied for the targets "DARK" and "SKY".

      x I added darktarg.cat and skytarg.cat.  I pulled the templates 
        via CN's catalog search.  The TARGET_DESC fields were blank, so I
        added a brief description.

calfieldtarg.cat
 x> You cannot use the completely generic name "CALIBRATION FIELD" for 
    a specific type of calibration field (like a Landolt field).  If you
    want the type of calibration field to be known, call it "LANDOLT
    FIELD". If not, use the existing "CALIMG".

      x I modified calfieldtarg.cat to be more generic.

calinfo.txt
 x? Why is the M 1 target identified as a "field"?  

      x I removed the "field" string.  

ic433targ.cat
  + Fixed typo

personnel.cat
 ?? Do we have permission to publish this personal information?

      ? I have not been able to contact M.Buie.  Should I delete
        his contact information?

reference.cat
  + Renamed to 'disa_lo72_ref.cat'

 x- LANDOLT1992 does not exactly match the current reference with that ID.
    In fact, this doesn't match the ADS listing either.
 
    x  I fixed this reference.

tmpl1lo72ds.cat
  + Renamed to 'disa_lo72.cat'
  + Sadly, CN has flip-flopped: There must be separate DATA_SET_TARGET
    objects for each and every flippin' target.
  + Similarly for DATA_SET_REFERENCE_INFORMATION
  + Do not include "N/A" in a target list.

visccdinst.cat
  > This should be separate instrument catalog files, one for each instrument.
    Clearly we know enough to distinguish them, and the difference is important.
    Moreover, the specific instrument is identified in the data files.  Even
    worse, it then makes the "VISCCD" generic identifier unavailable for use
    for a truly generic instrument when needed.

    It can go to review like this, but it cannot be archived like this.

  > Nice data set description!  Put a credit at the bottom, after the 
    "Media/Format" section.  (Something like "This description prepared
    by..." and a date.)

data/raw
--------
*.lbl
 x? Should there be some indication of which direction is North?

      x The data set catalog file dicusses this issue in the "Data"
        section.

 x- Possible problem:  You've got LINES and LINE_SAMPLES reversed.  In a 
    2D FITS image, NAXIS1 is the number of rows, NAXIS2 is the number
    of columns.  So LINES = NAXIS1, LINE_SAMPLES = NAXIS2.  

    BUT - the people who made the FITS label have described NAXIS1 as "X",
    implying they inverted their data.  Without comparing to known star
    fields, it is not possible to tell which discription is correct, if
    any.

      x This is not a problem.  FITS defines NAXIS1 as the fastest varying
        index. LINE_SAMPLES should equal NAXIS1 for these data.  I
        compared images to known star fields via the USNO's online chart
        service to determine the orientation.

 x- "MSB_INTEGER" is not specific enough.  It should be 
    "MSB_SIGNED_INTEGER".
 x- Major problem: The MAXIMUM, MINIMUM and OFFSET value don't jive.  The 
    maximum possible value of an MSB_SIGNED_INTEGER is 32768, and if the
    minimum value is positive, there should be no need for a positive offset.

      x The value was changed to "MSB_UNSIGNED_INTEGER".  The raw data
        are 16-bit unsigned integers.  The values for MAXIMUM, MINIMUM and
        OFFSET are valid for this type of data.

data/reduced
------------
*.lbl
  >>> All of the above for raw data, plus:

 x- Must have a unit or an explanation of why there isn't one.

      x I added a UNIT.

 x- Because of the max/min problem in the raw data, I don't trust 
    these values.  What are they?

      x This is not a problem.  The reduced data are "IEEE_REAL", as
        specified in the labels.  The values for MAXIMUM, MINIMUM and
        OFFSET are good.

data/results
------------
*.lbl
 x- These column DESCRIPTIONs contain phrases that end in periods.  Ther
    need to be edited.

      x I removed the periods.

index
-----
index.lbl
  + Fixed typos

 x? What is the point of the NOTE in the PRODUCT_CREATION_TIME column? 
    This is just the definition of PRODUCT_TIME - so what's the problem?
    There's no NOTE in any other column.

      x The NOTE is not longer relevant.  I removed it.

imageidx.lbl
  + Cannot use INDEX_TABLE objects in files other than INDEX.LBL.

 x- In the data file, some paths are relative, others are absolute.  All
    MUST be relative.

      x I fixed the table.

 x? Why a separate file?

      x The index.info file states this in an option image index that 
        contains image parameters found in the labels, such as 
        filter name, exposure duration, phase angle, etc.